// Mar 9 01

 textures/common/botclip //modified by keditok from original id shader file
{	
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks	
	surfaceparm nodraw	
	surfaceparm nonsolid
	surfaceparm trans	
	surfaceparm botclip
	surfaceparm noimpact
}

//banner shader made from id Q3 logo texture and id banner shader

textures/pjw3dm2/pjw_q3abanner
{
     qer_editorimage textures/sfx/logo512.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 1 0 .2
     deformVertexes wave 100 sin 0 1 0 .4     
        {
                map textures/sfx/logo512.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//I can't remember who I got the original liquid-in-glass shader from--sorry. :-(
//thanks to someone on the Q3World level editing forum
textures/pjw3dm2/pjwfleshglass
{
	qer_editorimage textures/skin/chapthroat.tga
	surfaceparm alphashadow
	surfaceparm slick
	cull disable
	q3map_surfacelight 300
	{
		map textures/skin/chapthroat.tga
		rgbGen identity
		tcMod scroll 0 -1
	}
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity 
	}
}

//modified version of an original id shader
textures/pjw3dm2/pjwflatglowwater
	{
	
		qer_editorimage textures/liquids/pool3d_5c2.tga
		q3map_globaltexture
		qer_trans .75

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		q3map_surfacelight 75
		cull disable
	
		{ 
			map textures/liquids/pool3d_5c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			tcmod scale .125 .125	
			rgbgen identity
		}
	}

//created from modified id shader
textures/pjw3dm2/pjwfleshslime1000
	{	
		qer_editorimage textures/skin/chapthroat.tga
		q3map_lightimage textures/skin/chapthroat.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 750
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/skin/chapthroat.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/skin/pjwal2k.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		

	}


